Get the status of your marketing message

The Get Status endpoint can be used to verify the status of your Marketing message.

URL TO USE:

METHOD: POST
https://api.redeye.com/[client_id]/marketing/getstatus

Body Sample

{
 "token": "string" //a unique reference that identifies a particular batch
}

Get status response explanations

Here is a list of the responses that can be retrieved through the Get Status:

  • QUEUE - Initial state when the API is called. The batch is waiting in the API job queue to be processed.
  • FAILED - The schedule could not be processed, for example; "unknown schedule".
  • PROCESSING - The recipients are being processed in the database.
  • PROCESSED - The recipients have been processed and messages have been sent.
  • DONE - The API database has been updated with the recipient statuses.
  • INCOMPATIBLE - The URL used to request the status contains the incorrect schedule type.